commit:     3bff4f4dbfb1791f22fd54b88cc0cbafb03731a5
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 23 19:10:51 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Feb 23 19:15:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bff4f4d

app-arch/tar: Bump to version 1.32

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-arch/tar/Manifest        |  1 +
 app-arch/tar/tar-1.32.ebuild | 79 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/app-arch/tar/Manifest b/app-arch/tar/Manifest
index 686dbf3e93b..dcb20a1e807 100644
--- a/app-arch/tar/Manifest
+++ b/app-arch/tar/Manifest
@@ -1,2 +1,3 @@
 DIST tar-1.30.tar.bz2 2858639 BLAKE2B 
82a8b1fbf1eb5c0347b2f8cf35854498e2955eb85eaf041ec44a38bbd9bc82cc7184d5cb858f9905f503c9178ec6d0ed50be2dc27be9933b29e0a18b8e6c0b8f
 SHA512 
07a1157430898fee1a2c6fd3853d59d4ae13998db685669c8c702f73d2466eeb9892f84a5f0495bfe088c8190a643a99ac9f2cb16b85c9fe3ae0d83cc0f338e8
 DIST tar-1.31.tar.bz2 2946047 BLAKE2B 
c85c17740e4cd3e8c93d10d93b070cd80629b7f052d020c0513cdddd377f3f90e229a6fa10dfbb43e1006f8202c674f2df854b864c0947f49339a52964d65c1c
 SHA512 
0f4d00e08d56a8f8c32aac0afa2845397efb8ad72eaa6af47334cef9612adb1a4b91406bdc2c3a2cf1b9cc8b92c12735a331e0d137b24f66703f6af6219464f6
+DIST tar-1.32.tar.bz2 2947264 BLAKE2B 
4e380a9a2f84a2af5130464e1b298ae6acf02ee459cbca20dd0991c2859785e5aac789d57b87b32e8b45d89985b6414af9dd37161385da9568d6030c5aa42c0e
 SHA512 
3139e87112123269ee0600243b3ea081687cc93667bef5832bfe3c785c1be622f520f00fcfbdf44ad1d3247866d0ecfe347a85bbfec38eb38fa1014baef566f6

diff --git a/app-arch/tar/tar-1.32.ebuild b/app-arch/tar/tar-1.32.ebuild
new file mode 100644
index 00000000000..bfcea16fbe2
--- /dev/null
+++ b/app-arch/tar/tar-1.32.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic
+
+DESCRIPTION="Use this to make tarballs :)"
+HOMEPAGE="https://www.gnu.org/software/tar/";
+SRC_URI="mirror://gnu/tar/${P}.tar.bz2
+       mirror://gnu-alpha/tar/${P}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="acl elibc_glibc minimal nls selinux static userland_GNU xattr"
+
+LIB_DEPEND="acl? ( virtual/acl[static-libs(+)] )"
+
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+       selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+       nls? ( >=sys-devel/gettext-0.10.35 )
+       static? ( ${LIB_DEPEND} )
+       xattr? ( elibc_glibc? ( sys-apps/attr ) )"
+
+src_prepare() {
+       default
+
+       if ! use userland_GNU ; then
+               sed -i \
+                       -e 's:/backup\.sh:/gbackup.sh:' \
+                       scripts/{backup,dump-remind,restore}.in \
+                       || die "sed non-GNU"
+       fi
+}
+
+src_configure() {
+       use static && append-ldflags -static
+       local myeconfargs=(
+               --bindir="${EPREFIX%/}"/bin
+               --enable-backup-scripts
+               --libexecdir="${EPREFIX%/}"/usr/sbin
+               $(usex userland_GNU "" "--program-prefix=g")
+               $(use_with acl posix-acls)
+               $(use_enable nls)
+               $(use_with selinux)
+               $(use_with xattr xattrs)
+       )
+       FORCE_UNSAFE_CONFIGURE=1 econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       local p=$(usex userland_GNU "" "g")
+       if [[ -z ${p} ]] ; then
+               # a nasty yet required piece of baggage
+               exeinto /etc
+               doexe "${FILESDIR}"/rmt
+       fi
+
+       # autoconf looks for gtar before tar (in configure scripts), hence
+       # in Prefix it is important that it is there, otherwise, a gtar from
+       # the host system (FreeBSD, Solaris, Darwin) will be found instead
+       # of the Prefix provided (GNU) tar
+       if use prefix ; then
+               dosym tar /bin/gtar
+       fi
+
+       mv "${ED%/}"/usr/sbin/${p}backup{,-tar} || die
+       mv "${ED%/}"/usr/sbin/${p}restore{,-tar} || die
+
+       if use minimal ; then
+               find "${ED%/}"/etc "${ED%/}"/*bin/ "${ED%/}"/usr/*bin/ \
+                       -type f -a '!' '(' -name tar -o -name ${p}tar ')' \
+                       -delete || die
+       fi
+}

Reply via email to